<?php
include_once '../../../sys/inc/start.php';
include_once '../../../sys/inc/compress.php';
include_once '../../../sys/inc/sess.php';
include_once '../../../sys/inc/home.php';
include_once '../../../sys/inc/settings.php';
include_once '../../../sys/inc/db_connect.php';
include_once '../../../sys/inc/ipua.php';
include_once '../../../sys/inc/fnc.php';
include_once '../../../sys/inc/user.php';
$set['title']='FM Админка';
include_once '../../../sys/inc/thead.php';
title();
err();
aut();
include_once '../online.php';

user_access('adm_panel_show',null,'/index.php?'.SID);

if (isset($_GET['set']) && isset($_POST['ok']))
{
$price=intval($_POST['price']);
$clubs=intval($_POST['clubs']);
$level=intval($_POST['level']);
$timer1=intval($_POST['timer1']);
$timer2=intval($_POST['timer2']);
if ($timer2==0)$timer=$timer1;
if ($timer2==1)$timer=$timer1*60;
if ($timer2==2)$timer=$timer1*60*60;
if ($timer2==3)$timer=$timer1*60*60*24;
$name=mysql_real_escape_string(esc(stripcslashes(htmlspecialchars($_POST['name']))));
if (!$price || $price<1)$err="укажите Стоимость участия!";
if (!$clubs || $clubs<1)$err="укажите Количество клубов!";
if (!$timer || $timer<1)$err="укажите Время между играми!";
if ($clubs<2)$err="не меньше 2 клубов!";
if ($clubs>100)$err="Не более 100 клубов!";
if (!$level || $level<0)$err="укажите минимальный уровень клуба!";
if (strlen2($name)<3)$err='Короткое Имя!';
if (strlen2($name)>32)$err='В Имя не должно быть длиннее 32-х символов!';
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_chempionat` WHERE `name` = '$name'"),0)!=0)$err='Название занято!';
if (!isset($err))
{
mysql_query("INSERT INTO `fm_chempionat` (`name`, `clubs`, `price`, `level`, `timer`, `time`) VALUES  ('$name', '$clubs', '$price', '$level', '$timer', '$time') ");
msg('Вы успешно добавили чемпионат!');
}
}
err();

echo "<div class='menu'>\n";
echo "<form method='post' action='chempionat_add.php?set'><div>\n";
echo "Название чемпионата:<br /><input type='text' name='name' value='' maxlength='32' /><br />";
echo "Количество клубов:<br /><input type='text' name='clubs' value='' maxlength='2' /><br />";
echo "Стоимость участия:<br /><input type='text' name='price' value='' maxlength='11' /><br />";
echo "Минимальная уровень клубов:<br /><input type='text' name='level' value='' maxlength='11' /><br />";
echo "Время между играми:<br />";
echo "<input type='text' name='timer1' value='' maxlength='11' size='3' />\n";
echo "<select name='timer2'>\n";
echo "<option value='0'>Секунды</option>\n";
echo "<option value='1'>Минуты</option>\n";
echo "<option value='2'>Часы</option>\n";
echo "<option value='3'>Сутки</option>\n";
echo "</select><br />\n";
echo "<input class='doctor' type='submit' name='ok' value='Добавить' />\n";
echo "</div>\n";
echo "</form>\n";
echo "</div>";



echo "<div class='foot'>";
echo "&#171; <a href='index.php'>Назад</a><br/>";
echo "</div>";

include_once '../../../sys/inc/tfoot.php';

?>
